// by Jex, edited by Ingar
// Shamelessly knicked by Taiyo.uk for groundsource.

textures/groundsource/water_surface
{
        qer_editorimage textures/groundsource/water.jpg
        qer_trans .5
        q3map_lightimage textures/groundsource/water.jpg
        q3map_globaltexture

        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water

        cull disable
        deformVertexes wave 64 sin .25 .25 0 .5
        {
                map textures/karith/water_bluish.jpg
                blendFunc GL_DST_COLOR GL_ONE
                rgbgen identity
                tcmod scale .5 .5
       		//tcmod scroll .025 .01
		tcmod scroll .02 0.1
        }
        {
                map textures/karith/water_redish.jpg
                blendFunc GL_DST_COLOR GL_ONE
                tcmod scale -.5 -.5
                tcmod scroll .025 .025
        }
        {
                map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
                rgbgen identity
        }
}

// Shader for water particles
textures/groundsource/water_ps
{
	entityMergable
	cull none
	{
		map textures/groundsource/es_water.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}

// ======================================================================
// The below shaders are from DASPRiD's Ancient Remains
// ======================================================================
textures/groundsource/vine_s
{
	qer_editorimage textures/groundsource/vine06.tga
	q3map_backShader textures/groundsource/vine06_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks

	qer_trans 0.99
	{
		map textures/groundsource/vine06.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/groundsource/vine06_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/groundsource/vine06.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

textures/groundsource/fern1_s		// fern 1
{
	qer_editorimage textures/groundsource/leave01a.tga
	q3map_backShader textures/groundsource/fern1_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	q3map_bounce 0


	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	
	{
		map textures/groundsource/leave01a.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/groundsource/fern1_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/groundsource/leave01a.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

textures/groundsource/fern2_s		// fern 2
{
	qer_editorimage textures/groundsource/leave01b.tga
	q3map_backShader textures/groundsource/fern2_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	q3map_bounce 0


	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	
	{
		map textures/groundsource/leave01b.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/groundsource/fern2_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/groundsource/leave01b.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

//
// Dead fern
//

textures/groundsource/fern_dead_s
{
	qer_editorimage textures/groundsource/leave01d.tga
	q3map_backShader textures/groundsource/leave01d_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/groundsource/leave01d.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/groundsource/leave01d_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/groundsource/leave01d.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

//
// Variogated leaf
//

textures/groundsource/leaf1_s
{
	qer_editorimage textures/groundsource/leave03c.tga
	q3map_backShader textures/groundsource/leave03c_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/groundsource/leave03c.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/groundsource/leave03c_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/groundsource/leave03c.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

//
// Shiny leaf
//

textures/groundsource/leaf2_s
{
	qer_editorimage textures/groundsource/leave04c.tga
	q3map_backShader textures/groundsource/leave04c_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/groundsource/leave04c.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/groundsource/leave04c_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/groundsource/leave04c.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

//
// Shiny leaf
//

textures/groundsource/dead_leaf_s
{
	qer_editorimage textures/groundsource/leave04d.tga
	q3map_backShader textures/groundsource/leave04d_back
	q3map_vertexScale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/groundsource/leave04d.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/groundsource/leave04d_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/groundsource/leave04d.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}